<div class="jumbotron">
    <h1>Taxonomy Yeast</h1>
</div>
<div class="container">
    <form #yeastEntryForm="ngForm" action="" (submit)="yeastEntry()">
        <div class="form-group">
            <div class="row">
                <div class="col-sm-8 ">
                    <h3>Identification and discharge date of yeast</h3>
                </div>
            </div>
            
            <!--Identificador-->
            <label class="col-sm-2">Identification *</label>
            <div class="col-sm-4">
                <input #yeastIdent="ngModel" [(ngModel)]="objYeast.id" id="yeastIdent" name="yeastIdent" type="text"
                    class="form-control" required inputMinLength />
            </div>

            <!--validator Identificator-->
            <div class="is-invalid" *ngIf="!yeastIdent.pristine && 
            yeastIdent.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Identificador</span>
                </div>
            </div>

            <div class="is-invalid" *ngIf="yeastIdent.errors?.isNotCorrect &&
                !yeastIdent.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, Identificador must be at least seven characters</span>
                </div>
            </div>
            <br>
            <!--Discharge date of yeast-->
            <label class="col-sm-2">Discharge date </label>
            <div class="col-sm-4">
                <input type="date" class="form-control" #yeastClasificationDate="ngModel"
                    [(ngModel)]="objYeast.classificationDate" name="yeastClasificationDate" />
            </div>
            <br>
             <!--the best temperature for yeast to multiply-->
             <label class="col-sm-2">The best temperature for yeast to multiply </label>
             <div class="col-sm-4">
                <input #yeastTemp="ngModel" [(ngModel)]="objYeast.temperature" id="yeastTemp" name="yeastTemp" type="number"
                    class="form-control" pattern="[0-9.]+" required
                     />
             </div>
             <div class="is-invalid" *ngIf="!yeastTemp.pristine && 
             yeastTemp.errors?.required">
                 <span class="text-danger">Please, enter an temperature</span>
             </div>
             <div class="is-invalid" *ngIf="!yeastTemp.pristine && 
             yeastTemp.errors?.pattern">
                 <span class="text-danger">Please, enter a valid  temperature</span>
             </div>
             <br>
           
            <!--Class Taxonomy-->
            <div class="row">
                <div class="col-sm-8 ">
                    <h3>Yeast Taxonomy</h3>
                </div>
            </div>
            <!--Domain-->
            <label class="col-sm-2 control-label" for="formGroup">Domain * </label>
            <div class="col-sm-4">
                <input type="text" #yeastDomain="ngModel"   [(ngModel)]="objYeast.taxonomy.domain" class="form-control"
                    name="yeastDomain" required>
            </div>
            <!--validator Domain-->
            <div class="is-invalid" *ngIf="!yeastDomain.pristine && 
                        yeastDomain.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Domain</span>
                </div>
            </div>
            <br>
            <!--Kingdom-->
            <label class="col-sm-2">Kingdom * </label>
            <div class="col-sm-4">
                <input type="text" #yeastKingdom="ngModel"   [(ngModel)]="objYeast.taxonomy.kingdom" class="form-control"
                    name="yeastKingdom" required>
            
            </div>
            <!--validator Kingdom-->
            <div class="is-invalid" *ngIf="!yeastKingdom.pristine && 
                        yeastKingdom.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Kingdom</span>
                </div>
            </div>
            <br>

            <!--Phyla-->
            <label class="col-sm-2">Phylum * </label>
            <div class="col-sm-4">
                <input type="text" #yeastPhylum="ngModel" [(ngModel)]="objYeast.taxonomy.phylum" class="form-control"
                    name="yeastPhylum" required>
            </div>
            <!--validator Phyla-->
            <div class="is-invalid" *ngIf="!yeastPhylum.pristine && 
                        yeastPhylum.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Phyla</span>
                </div>
            </div>
            <br>
            <!--Class-->
            <label class="col-sm-2 control-label">Class * </label>
            <div class="col-sm-4">
                <input type="text" #yeastClass="ngModel" [(ngModel)]="objYeast.taxonomy.classe" class="form-control"
                    name="yeastClass" required/>
            </div>
            <!--validator Class-->
            <div class="is-invalid" *ngIf="!yeastClass.pristine && 
                        yeastClass.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Class</span>
                </div>
            </div>
            <br>
            <!--Order-->
            <label class="col-sm-2">Order * </label>
            <div class="col-sm-4">
                <input type="text" #yeastOrder="ngModel" [(ngModel)]="objYeast.taxonomy.order" class="form-control"
                    name="yeastOrder" required/>
            </div>
            <!--validator Order-->
            <div class="is-invalid" *ngIf="!yeastOrder.pristine && 
                        yeastOrder.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Order</span>
                </div>
            </div>
            <br>
            <!--Family-->
            <label class="col-sm-2">Family * </label>
            <div class="col-sm-4">
                <input type="text" #yeastFamily="ngModel" [(ngModel)]="objYeast.taxonomy.family" class="form-control"
                    name="yeastFamily"  required/>
            </div>
            <!--validator Order-->
            <div class="is-invalid" *ngIf="!yeastFamily.pristine && 
                        yeastFamily.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Family</span>
                </div>
            </div>
            <br>
            <!--Genus-->
            <label class="col-sm-2">Genus * </label>
            <div class="col-sm-4">
                <input type="text" #yeastGenus="ngModel" [(ngModel)]="objYeast.taxonomy.genus" class="form-control"
                    name="yeastGenus" required/>
            </div>
            <!--validator Genus-->
            <div class="is-invalid" *ngIf="!yeastGenus.pristine && 
                        yeastGenus.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Genus</span>
                </div>
            </div>
            <br>
            <!--Species-->
            <label class="col-sm-2">Species * </label>
            <div class="col-sm-4">
                <input type="text" #yeastSpecies="ngModel" [(ngModel)]="objYeast.taxonomy.species" class="form-control"
                    name="yeastSpecies" required/>
            </div>
            <!--validator Species-->
            <div class="is-invalid" *ngIf="!yeastSpecies.pristine && 
                        yeastSpecies.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Species</span>
                </div>
            </div>
            <br>
            <!--Variety-->
            <label class="col-sm-2">Variety * </label>
            <div class="col-sm-4">
                <input type="text" #yeastVariety="ngModel" [(ngModel)]="objYeast.taxonomy.variety" class="form-control"
                    name="yeastVariety" required />
            </div>
            <!--validator Variety-->
            <div class="is-invalid" *ngIf="!yeastVariety.pristine && 
                        yeastVariety.errors?.required">
                <div class="col-sm-4">
                    <span class="text-danger">Please, enter a Variety</span>
                </div>
            </div>
            <br>
            <br>
            <div class="row">
                <div class="col-sm-8 text-center">
                    <button type="submit" [disabled]="!yeastEntryForm.valid"  class="btn btn-primary">Submit</button>
                </div>
            </div>
        </div>
    </form>
</div>